Bug 840186 - tmpfiles configuration file in wrong directory
tmpfiles configuration file in wrong directory
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lxdm (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-14 03:41 EDT by Eric Smith
Modified: 2013-02-17 18:21 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.4.1-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-17 18:21:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Smith 2012-07-14 03:41:34 EDT
Description of problem:

This package installs a configuration file in /etc/tmpfiles.d which actually belongs in the %{_prefix}/lib/tmpfiles.d directory.  Putting a configuration file in /etc/tmpfiles.d is a violation of the Fedora tmpfiles packaging guidelines and contrary to the intent of /etc/tmpfiles.d to be used by local administrators to override default policy in /usr/lib/tmpfiles.d as documented in the tmpfiles.d(5) man page.

The Fedora Tmpfiles.d packaging guidelines may be found at:
http://fedoraproject.org/wiki/Packaging:Tmpfiles.d
Comment 1 Christoph Wickert 2012-07-14 05:50:24 EDT
Thanks for filing this bug. This is in fact not a violation but a change of the packaging guidelines and I don't recall this change eve being announced.
Comment 2 Eric Smith 2012-07-15 03:12:18 EDT
OK, I agree that "violates" was probably too strong a word, and I wasn't as familiar with the history as I should have been. Although FPC ticket 176 gives a proposed announcement text, perhaps the announcement wasn't sent.
Comment 3 Christoph Wickert 2013-02-17 18:21:27 EST
I fixed this already back in August 2012. Sorry for not closing the bug earlier.

Note You need to log in before you can comment on or make changes to this bug.